/* MyMovieWindowController */

#import <Cocoa/Cocoa.h>

@class QTInfoDisplayView;
@class AppMovieController;
@class PCTransparentWindow;

@interface MyMovieWindowController : NSWindowController <NSWindowDelegate>
{
	IBOutlet AppMovieController *theMovieController;
	IBOutlet NSTextField *timeField;
	IBOutlet QTInfoDisplayView * _newTimeWindowView;
	
	QTInfoDisplayView *_timeWindowView;

	NSDocument *_silentDocument;
}

-(void)setSilentDocument:(NSDocument*)document;
-(NSDocument*)silentDocument;

-(IBAction)locate:(id)sender;
-(void)_locateWithOptions:(int)options;
-(IBAction)creatNewLocate:(id)sender;
-(IBAction)undo:(id)sender;
-(IBAction)redo:(id)sender;

-(void)setReelVersionMovieObject:(id)movieObject;
-(void)setReelVersionMovieObjectWithForceUpdate:(id)movieObject;
-(void)silentlyUpdateMovieWithPath:(NSString*)newPath;
-(void)silentlyUpdateMovieWithNewAudioAlreadySpecified:(id)selection;
-(IBAction)goToTime:(NSNumber*)thePositionToStartFrom;
-(unsigned long long)inTimeFromCurrentMovie;
-(unsigned long long)outTimeFromCurrentMovie;
-(unsigned long long)grabCurrentPosition;
-(BOOL)hasMovie;
-(void)playMovie;
-(void)appLoopPlay:(id)cue;

-(void)updateTimeField:(NSString*)newTime;
-(void)shouldForceUpdateMovieController:(BOOL)update;


@end
